CVE-2021-26930

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

An issue was discovered in the Linux kernel 3.11 through 5.10.16, as used by Xen. To service requests to the PV backend, the driver maps grant references provided by the frontend. In this process, errors may be encountered. In one case, an error encountered earlier might be discarded by later processing, resulting in the caller assuming successful mapping, and hence subsequent operations trying to access space that wasn't mapped. In another case, internal state would be insufficiently updated, preventing safe recovery from the error. This affects drivers/block/xen-blkback/blkback.c.

References

http://xenbits.xen.org/xsa/advisory-365.html

https://lists.debian.org/debian-lts-announce/2021/03/msg00010.html

https://lists.debian.org/debian-lts-announce/2021/03/msg00035.html

https://lists.fedoraproject.org/archives/list/[email protected]/message/2XQR52ICKRK3GC4HDWLMWF2U55YGAR63/

https://lists.fedoraproject.org/archives/list/[email protected]/message/GWQWPWYZRXVFJI5M3VCM72X27IB7CKOB/

https://security.netapp.com/advisory/ntap-20210326-0001/

Details

Source: MITRE

Published: 2021-02-17

Updated: 2021-03-31

Risk Information

CVSS v2

Base Score: 4.6

Vector: AV:L/AC:L/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 3.9

Severity: MEDIUM

CVSS v3

Base Score: 7.8

Vector: CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 1.8

Severity: HIGH

Tenable Plugins

View all (37 total)

IDNameProductFamilySeverity
149411Ubuntu 20.04 LTS / 20.10 : Linux kernel vulnerabilities (USN-4949-1)NessusUbuntu Local Security Checks
high
149410Ubuntu 16.04 LTS / 18.04 LTS : Linux kernel vulnerabilities (USN-4946-1)NessusUbuntu Local Security Checks
medium
149083SUSE SLES12 Security Update : kernel (SUSE-SU-2021:1373-1)NessusSuSE Local Security Checks
high
148700SUSE SLES12 Security Update : kernel (SUSE-SU-2021:1210-1)NessusSuSE Local Security Checks
high
148548Oracle Linux 7 / 8 : Unbreakable Enterprise kernel-container (ELSA-2021-9057)NessusOracle Linux Local Security Checks
high
148546Oracle Linux 6 / 7 : Unbreakable Enterprise kernel (ELSA-2021-9051)NessusOracle Linux Local Security Checks
high
148509SUSE SLES12 Security Update : kernel (SUSE-SU-2021:1175-1)NessusSuSE Local Security Checks
medium
148498Ubuntu 16.04 LTS : Linux kernel vulnerabilities (USN-4904-1)NessusUbuntu Local Security Checks
medium
148497Ubuntu 18.04 LTS / 20.04 LTS : Linux kernel vulnerabilities (USN-4909-1)NessusUbuntu Local Security Checks
high
148350Photon OS 4.0: Linux PHSA-2021-4.0-0007NessusPhotonOS Local Security Checks
high
148254Debian DLA-2610-1 : linux-4.19 security updateNessusDebian Local Security Checks
high
148088Oracle Linux 7 : Unbreakable Enterprise kernel-container (ELSA-2021-9136)NessusOracle Linux Local Security Checks
high
148036Oracle Linux 7 : Unbreakable Enterprise kernel (ELSA-2021-9135)NessusOracle Linux Local Security Checks
high
147919Amazon Linux AMI : kernel (ALAS-2021-1487)NessusAmazon Linux Local Security Checks
high
147914Amazon Linux 2 : kernel (ALAS-2021-1616)NessusAmazon Linux Local Security Checks
high
147804Oracle Linux 7 : Unbreakable Enterprise kernel (ELSA-2021-9052)NessusOracle Linux Local Security Checks
high
147597SUSE SLES12 Security Update : kernel (SUSE-SU-2021:0744-1)NessusSuSE Local Security Checks
high
147591SUSE SLES15 Security Update : kernel (SUSE-SU-2021:0735-1)NessusSuSE Local Security Checks
high
147586SUSE SLES15 Security Update : kernel (SUSE-SU-2021:0740-1)NessusSuSE Local Security Checks
high
147579SUSE SLED15 / SLES15 Security Update : kernel (SUSE-SU-2021:0741-1)NessusSuSE Local Security Checks
high
147568SUSE SLES12 Security Update : kernel (SUSE-SU-2021:0736-1)NessusSuSE Local Security Checks
high
147563openSUSE Security Update : the Linux Kernel (openSUSE-2021-393)NessusSuSE Local Security Checks
high
147544SUSE SLES12 Security Update : kernel (SUSE-SU-2021:0743-1)NessusSuSE Local Security Checks
high
147532Debian DLA-2586-1 : linux security updateNessusDebian Local Security Checks
high
147464SUSE SLES15 Security Update : kernel (SUSE-SU-2021:0737-1)NessusSuSE Local Security Checks
high
147204Oracle Linux 7 / 8 : Unbreakable Enterprise kernel (ELSA-2021-9085)NessusOracle Linux Local Security Checks
high
147203Oracle Linux 7 / 8 : Unbreakable Enterprise kernel-container (ELSA-2021-9086)NessusOracle Linux Local Security Checks
high
147007Photon OS 1.0: Linux PHSA-2021-1.0-0366NessusPhotonOS Local Security Checks
high
147000Photon OS 2.0: Linux PHSA-2021-2.0-0322NessusPhotonOS Local Security Checks
high
146997Photon OS 3.0: Linux PHSA-2021-3.0-0201NessusPhotonOS Local Security Checks
high
146993Oracle Linux 6 / 7 : Unbreakable Enterprise kernel (ELSA-2021-9079)NessusOracle Linux Local Security Checks
high
146905Fedora 33 : kernel (2021-7143aca8cb)NessusFedora Local Security Checks
high
146894Fedora 32 : kernel (2021-8d45d297c6)NessusFedora Local Security Checks
high
146588Oracle Linux 7 : Unbreakable Enterprise kernel (ELSA-2021-9067)NessusOracle Linux Local Security Checks
high
146587Oracle Linux 7 : Unbreakable Enterprise kernel-container (ELSA-2021-9068)NessusOracle Linux Local Security Checks
high
146549Oracle Linux 7 : Unbreakable Enterprise kernel-container (ELSA-2021-9058)NessusOracle Linux Local Security Checks
high
146534Oracle Linux 7 / 8 : Unbreakable Enterprise kernel (ELSA-2021-9053)NessusOracle Linux Local Security Checks
high